Retrieves the territory with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "60fbf6d0-84ac-42f2-a105-defa4287b782",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "db4045cb-eae7-48df-a4ea-65d05730a6f5",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "ad4e7de0-4b18-412c-92df-ca43a6db6d23",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "ef0701f7-1223-49b7-bd66-ff3288c83199",
    "db_currency_id": "2ad8f415-85f0-45c0-a19a-82a8d06b99e7",
    "db_language_id": "2c666c63-a207-4c4c-978a-80f786cbbca5",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-02T14:30:54.5633097+00:00"
  },
  "modified_dateutc": "2026-11-02T14:30:54.5633097+00:00"
}